Summary: The GNU interactive spelling checker program.
Name: ispell
Version: 3.1.20
Release: 22
Group: Applications/Text
License: GPL
Source0: ftp://prep.ai.mit.edu/pub/gnu/ispell-3.1.20.tar.gz
Source1: spell

Source10: idanish-1.2.1.tar.gz
Source11: hk2-deutsch.tar.gz 
Source12: espa~nol-1.5.tar.gz
Source13: francais-IREQ-1.4.tar.gz
Source14: dutch96.tar.gz
Source15: ispell-norsk-1.1a.tar.gz
Source16: portugues.tar.gz
Source17: iswedish-1.2.1.tar.gz
Source18: italian.tar.gz
Source19: ispellcat.tar.gz
Source20: iczech.tar.gz
Source21: polish.tar.gz
Source22: ellhnika.tar.gz
Source23: ispell-rus-1.1.tar.gz
Source24: eo-spell.tgz

Patch0: ispell-3.1.20-config.patch
Patch1: ispell-3.1.20-german.patch 

Patch3: ispell-3.1.20-termio.patch
Patch4: ispell-3.1.20-mask.patch
Patch5: ispell-3.1.20-strcmp.patch
Patch6: ispell-3.1.20-jbj.patch
Patch7: ispell-3.1.20-dict.patch
Patch8: ispell-sed.patch
BuildRoot: /var/tmp/%{name}-root

%description
Ispell is the GNU interactive spelling checker.  Ispell will check a
text file for spelling and typographical errors.  When it finds a word
that is not in the dictionary, it will suggest correctly spelled words
for the misspelled word.

You should install ispell if you need a program for spell checking
(and who dosn't...).

%package catalan
Summary: Catalan ispell files.
Group: Applications/Text
%description catalan
Catalan ispell files.

%package czech
Summary: Czech ispell files.
Group: Applications/Text
%description czech
Czech ispell files.

%package danish
Summary: Danish ispell files.
Group: Applications/Text
%description danish
Danish ispell files.

%package dutch
Summary: Dutch ispell files.
Group: Applications/Text
%description dutch
Dutch ispell files.

%package esperanto
Summary: Esperanto ispell files.
Group: Applications/Text
%description esperanto
Esperanto ispell files.

%package french
Summary: French ispell files.
Group: Applications/Text
%description french
French ispell files.

%package german
Summary: German ispell files.
Group: Applications/Text
%description german
German ispell files.

%package greek
Summary: Greek ispell files.
Group: Applications/Text
%description greek
Greek ispell files.

%package italian
Summary: Italian ispell files.
Group: Applications/Text
%description italian
Italian ispell files.

%package norwegian
Summary: Norwegian ispell files.
Group: Applications/Text
%description norwegian
Norwegian ispell files.

%package polish
Summary: Polish ispell files.
Group: Applications/Text
%description polish
Polish ispell files.

%package portuguese
Summary: Portuguese ispell files.
Group: Applications/Text
%description portuguese
Portuguese ispell files.

%package russian
Summary: Russian ispell files.
Group: Applications/Text
%description russian
Russian ispell files.

%package spanish
Summary: Spanish ispell files.
Group: Applications/Text
%description spanish
Spanish ispell files.

%package swedish
Summary: Swedish ispell files.
Group: Applications/Text
%description swedish
Swedish ispell files.

%package dicts
Summary: Dictionaries for generating ispell files.
Group: Applications/Text
%description dicts
Dictionaries for generating ispell files.

%prep
%setup -q -n ispell-3.1 -a 10 -a 12 -a 17 -a 20 -a 23 -a 24

mkdir dicts

lang=danish
dir=dicts/$lang
mv idanish-1.2.1 $dir
mv -f $dir/Makefile{,.dist} || :
cp $dir/* languages/dansk

lang=german
dir=dicts/$lang
mkdir $dir
tar xzf %SOURCE11 -C $dir
mv -f $dir/Makefile{,.dist} || :
cp $dir/*.txt $dir/*.aff $dir/*README languages/deutsch
mv $dir/deutsch.aff{,-hk}

lang=spanish
dir=dicts/$lang
mv espa~nol-1.5 $dir
ln -sf espa~nol.words+ $dir/espanol.dict
mv -f $dir/Makefile{,.dist} || :
cp $dir/* languages/espanol

lang=french
dir=dicts/$lang
mkdir $dir
tar xzf %SOURCE13 -C $dir
mv -f $dir/Makefile{,.dist} || :
cp $dir/* languages/francais

lang=dutch
dir=dicts/$lang
mkdir $dir
tar xzf %SOURCE14 -C $dir
ln -sf dutch96.aff $dir/nederlands.aff
ln -sf dutch96.lat $dir/nederlands.lat
cp dicts/dutch/* languages/nederlands

lang=norwegian
dir=dicts/$lang
mkdir $dir
tar xzf %SOURCE15 -C $dir
ln -sf norsk.7bit $dir/norsk.aff
cp dicts/norwegian/* languages/norsk

lang=portuguese
dir=dicts/$lang
tar xzf %SOURCE16 -C ./dicts/
mv dicts/portugues $dir
cp dicts/portuguese/* languages/portugues

lang=swedish
dir=dicts/$lang
mv iswedish-1.2.1 $dir
mv -f $dir/Makefile{,.dist} || :
cp dicts/swedish/* languages/svenska

lang=italian
dir=dicts/$lang
mkdir $dir
tar xzf %SOURCE18 -C $dir
mv -f $dir/Makefile{,.dist} || :

lang=catalan
dir=dicts/$lang
mkdir $dir
tar xzf %SOURCE19 -C $dir

lang=czech
dir=dicts/$lang
mv iczech $dir
mv -f $dir/Makefile{,.dist} || :

lang=polish
dir=dicts/$lang
mkdir $dir
tar xzf %SOURCE21 -C dicts

lang=greek
dir=dicts/$lang
mkdir $dir
tar xzf %SOURCE22 -C $dir

lang=russian
dir=dicts/$lang
mv ispell-rus-1.1 $dir
mv -f $dir/Makefile{,.dist} || :

lang=esperanto
dir=dicts/$lang
mv eo $dir
ln -sf eo.aff $dir/esperanto.aff

%patch0 -p1
%patch1

%patch3 -p1 -b .termio

%ifarch alpha
%patch4 -p1 -b .mask
%endif

%patch5 -p1 -b .strcmp
%patch6 -p1 -b .jbj
%patch7 -p1 -b .dictpat
%patch8 -p1

%build

# Make config.sh first
TMPDIR=/var/tmp PATH=.:$PATH make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" config.sh
perl -pi -e "s/-O/$RPM_OPT_FLAGS -fexpensive-optimizations -fno-force-mem -pipe/" config.sh

# Now save build-rooted version (with time-stamp) for install ...
cp config.sh config.sh.BUILD
sed -e "s,/usr/,$RPM_BUILD_ROOT/usr/,g" < config.sh.BUILD > config.sh.INSTALL

# and then make everything
TMPDIR=/var/tmp PATH=.:$PATH make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

install -c -m 0644 languages/fix8bit.c dicts/fix8bit.c
find dicts -name '*.dictpat' -exec rm -f {} \;
PATH=.:$PATH make -C dicts all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/lib/emacs/site-lisp
mkdir -p $RPM_BUILD_ROOT/usr/info

# Roll in the build-root'ed version (with time-stamp!)
rm -rf config.sh
ln config.sh.INSTALL config.sh
TMPDIR=/var/tmp PATH=.:$PATH LIBDIR=$RPM_BUILD_ROOT/usr/lib/ispell make install

mv $RPM_BUILD_ROOT/usr/info/ispell $RPM_BUILD_ROOT/usr/info/ispell.info
gzip -9nf $RPM_BUILD_ROOT/usr/info/ispell.info

install -m 755 %SOURCE1 $RPM_BUILD_ROOT/usr/bin/spell

PATH=.:$PATH make -C dicts DESTDIR=$RPM_BUILD_ROOT install
( cd $RPM_BUILD_ROOT
  ln -sf deutschlxg.hash ./usr/lib/ispell/german.hash
  ln -sf deutschlxg.hash ./usr/lib/ispell/deutsch.hash
  ln -sf americanmed+.hash ./usr/lib/ispell/english.hash
)

mkdir $RPM_BUILD_ROOT/usr/share
tar cf - dicts | (cd $RPM_BUILD_ROOT/usr/share; tar xf -)

( cd $RPM_BUILD_ROOT/usr/share
  find dicts -name '*.cnt' -exec rm -f {} \;
  find dicts -name '*.stat' -exec rm -f {} \;
  find dicts -name '*.hash' -exec rm -f {} \;
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/bin/buildhash
/usr/bin/findaffix
/usr/bin/icombine
/usr/bin/ijoin
/usr/bin/ispell
/usr/bin/munchlist
/usr/bin/spell
/usr/bin/sq
/usr/bin/tryaffix
/usr/bin/unsq

/usr/info/ispell.info.gz
#/usr/lib/emacs/site-lisp/ispell.el
/usr/man/man1/sq.1
/usr/man/man1/buildhash.1
/usr/man/man1/findaffix.1
/usr/man/man1/ispell.1
/usr/man/man1/munchlist.1
/usr/man/man1/tryaffix.1
/usr/man/man1/unsq.1
/usr/man/man5/ispell.5
/usr/man/man5/english.5

%dir /usr/lib/ispell

/usr/lib/ispell/american.hash
/usr/lib/ispell/americanmed+.hash
/usr/lib/ispell/americanxlg.hash
/usr/lib/ispell/british.hash
/usr/lib/ispell/britishmed+.hash
/usr/lib/ispell/britishxlg.hash
/usr/lib/ispell/english.hash
/usr/lib/ispell/english.aff

%files catalan
%defattr(-,root,root)
%doc		dicts/catalan/LLEGEIX
%lang(es)	/usr/lib/ispell/catala.aff
%lang(es)	/usr/lib/ispell/catala.hash

%files czech
%defattr(-,root,root)
%doc		dicts/czech/README
%lang(cs)	/usr/lib/ispell/czech.aff
%lang(cs)	/usr/lib/ispell/czech.hash

%files danish
%defattr(-,root,root)
%doc		dicts/danish/{COPYING,danish.html}
%lang(da)	/usr/lib/ispell/dansk.aff
%lang(da)	/usr/lib/ispell/dansk.hash

%files dutch
%defattr(-,root,root)
%doc		dicts/dutch/README
%lang(nl)	/usr/lib/ispell/nederlands.aff
%lang(nl)	/usr/lib/ispell/nederlands.hash

%files esperanto
%defattr(-,root,root)
%doc		dicts/esperanto/{README,legumin.l3}
%lang(es)	/usr/lib/ispell/esperanto.aff
%lang(es)	/usr/lib/ispell/esperanto.hash

%files french
%defattr(-,root,root)
%doc		dicts/french/{LISEZMOI,COPYING,MANIFEST,ChangeLog}
%lang(fr)	/usr/lib/ispell/francais.aff
%lang(fr)	/usr/lib/ispell/francais.hash

%files german
%defattr(-,root,root)
%doc		dicts/german/{README,ANNOUNCE,Changes,Contributors}
%lang(de)	/usr/lib/ispell/german.hash
%lang(de)	/usr/lib/ispell/deutsch.hash
%lang(de)	/usr/lib/ispell/deutsch.aff
%lang(de)	/usr/lib/ispell/deutschlxg.hash
%lang(de)	/usr/lib/ispell/deutschmed.hash

%files greek
%defattr(-,root,root)
%lang(el)	/usr/lib/ispell/ellhnika.aff
%lang(el)	/usr/lib/ispell/ellhnika.hash

%files italian
%defattr(-,root,root)
%doc		dicts/italian/README
%lang(it)	/usr/lib/ispell/italian.aff
%lang(it)	/usr/lib/ispell/italian.hash

%files norwegian
%defattr(-,root,root)
%doc		dicts/norwegian/README
%lang(no)	/usr/lib/ispell/norsk.aff
%lang(no)	/usr/lib/ispell/norsk.hash

%files polish
%defattr(-,root,root)
%lang(pl)	/usr/lib/ispell/polish.aff
%lang(pl)	/usr/lib/ispell/polish.hash

%files portuguese
%defattr(-,root,root)
%doc		dicts/portuguese/README
%lang(pt)	/usr/lib/ispell/portugues.aff
%lang(pt)	/usr/lib/ispell/portugues.hash

%files russian
%defattr(-,root,root)
%doc		dicts/russian/docs/{INSTALL.russian,Readme.russian,copyright,cyrispell,readme.makedict}
%lang(ru)	/usr/lib/ispell/russian.aff
%lang(ru)	/usr/lib/ispell/russian.hash

%files spanish
%defattr(-,root,root)
%doc		dicts/spanish/{LEAME,README}
%lang(es)	/usr/lib/ispell/espanol.aff
%lang(es)	/usr/lib/ispell/espanol.hash

%files swedish
%defattr(-,root,root)
%doc		dicts/swedish/{LaeSMIG,COPYING,Copyright}
%lang(sv)	/usr/lib/ispell/svenska.aff
%lang(sv)	/usr/lib/ispell/svenska.hash

%files dicts
%defattr(-,root,root)
%dir		/usr/share/dicts
/usr/share/dicts/fix8bit
%lang(ca)	/usr/share/dicts/catalan
%lang(cs)	/usr/share/dicts/czech
%lang(da)	/usr/share/dicts/danish
%lang(eo)	/usr/share/dicts/esperanto
%lang(fr)	/usr/share/dicts/french
%lang(de)	/usr/share/dicts/german
%lang(el)	/usr/share/dicts/greek
%lang(it)	/usr/share/dicts/italian
%lang(no)	/usr/share/dicts/norwegian
%lang(pl)	/usr/share/dicts/polish
%lang(pt)	/usr/share/dicts/portuguese
%lang(ru)	/usr/share/dicts/russian
%lang(es)	/usr/share/dicts/spanish
%lang(sv)	/usr/share/dicts/swedish

%changelog
* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- sed is in /bin, not /usr/bin

* Mon Aug 30 1999 Jeff Johnson <jbj@redhat.com>
- build *.hash and *.aff from dicts not languages.
- better russian dictionary.

* Sun Aug 29 1999 Jeff Johnson <jbj@redhat.com>
- add British English and dictionaries.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 15)

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- add a buildroot

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- strcmp may have different forms on different systems;
  do not declare it explicitly, just include <string.h>
- use /var/tmp instead of /usr/tmp

* Sun Nov 8 1998 Patricia Jung <trish@freiburg.linux.de>
- Added German dictionary

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- eliminate /usr/lib/emacs/site-lisp/ispell.el -- use emacs-20.3 version.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- use posix termios (problem #558)
- add build root.

* Sat Jun 27 1998 Trent Jarvi <jarvi@ezlink.com>
- alphahack patch no longer required. struct winsize now in <ioctl-types.h>.
- change MASKWIDTH apropriately on alpha

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 09 1998 Erik Troan <ewt@redhat.com>
- have two Source1 lines isn't terribly brilliant

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to avoid remaking ispell.info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added a spell program.
- Configured for 8-bit use.
